Name:           prelude-correlator
Version:        5.2.0
Release:    1%{?dist}
Summary:        Real time correlator of events received by Prelude Manager
License:        GPLv2+
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.service
BuildRequires:  systemd
BuildRequires:  pkgconfig(libprelude) >= %{version}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%{?systemd_requires}
Requires:       python3-%{name} >= %{version}

%define debug_package %{nil}

%description
Prelude-Correlator allows conducting multi-stream correlations
thanks to a powerful programming language for writing correlation
rules. With any type of alert able to be correlated, event
analysis becomes simpler, quicker and more incisive. This
correlation alert then appears within the Prewikka interface
and indicates the potential target information via the set of
correlation rules.

%package -n python3-%{name}
Summary:        Real time correlator of events received by Prelude Manager
Requires:       %{name} = %{version}-%{release}
Requires:       python3-prelude >= %{version}
Requires:       python3-netaddr
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Prelude-Correlator allows conducting multi-stream correlations
thanks to a powerful programming language for writing correlation
rules. With any type of alert able to be correlated, event
analysis becomes simpler, quicker and more incisive. This
correlation alert then appears within the Prewikka interface
and indicates the potential target information via the set of
correlation rules.

%prep
%autosetup -p1

%build
%py3_build

%install
install -d -m 0755 %{buildroot}%{_sbindir}
%{__python3} setup.py install --root=%{buildroot}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}-%{python3_version}

ln -s ./%{name}-%{python3_version} %{buildroot}%{_sbindir}/%{name}-3
ln -s ./%{name}-3 %{buildroot}%{_sbindir}/%{name}

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service 

%files
%license COPYING
%doc AUTHORS NEWS HACKING.README
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_sysconfdir}/%{name}/rules
%dir %{_sysconfdir}/%{name}/rules/python
%config(noreplace) %{_sysconfdir}/%{name}/rules/python/*.py*
%dir %{_sysconfdir}/%{name}/conf.d
%config %{_sysconfdir}/%{name}/conf.d/README
%{_localstatedir}/lib/%{name}/
%{_unitdir}/%{name}.service

%files -n python3-%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}-3
%{_sbindir}/%{name}-%{python3_version}
%{python3_sitelib}/preludecorrelator/
%{python3_sitelib}/prelude_correlator-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-1
- initial build
